コンテンツにスキップ
Twexapi
日本語
Esc
移動開く⌘Jプレビュー

フォロー中アカウントの指定取得

フォロー中アカウントの指定取得.

APIリファレンスに戻る
/Followers & Following Endpoints
GET/twitter/following/{screen_name}/{count}
API 認証
AuthorizationBearer token · header必須
TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
パスパラメータ
screen_namestring必須
Twitterユーザー名(Handle、@なし)
countinteger必須
The number of following to get.
レスポンス
200A list of user info, or a task_id for large requests
codeinteger
HTTP ステータスコード(200 は成功)
default: 200
msgstring
レスポンスメッセージ(例: 'success')
default: "success"
dataUserInfo | any[] | FriendshipTaskData必須
返却されるコアデータオブジェクトまたは配列
プロパティを表示
Any of:
UserInfo | any[]
Array of UserInfo | any
Any of:
UserInfo
userIdstring必須
User ID
isBlueVerifiedboolean必須
Blue verification status
createdAtstring必須
Account creation date
createdAtDatetimestring | any
Account creation datetime in ISO format
プロパティを表示
Any of:
string
string
any
any
defaultProfileboolean必須
Default profile flag
defaultProfileImageboolean必須
Default profile image flag
descriptionstring必須
プロフィール自己紹介文(Bio)
locationstring必須
Location
fastFollowersCountinteger必須
Fast followers count
favouritesCountinteger必須
Likes count
followersCountinteger必須
Followers count
followingCountinteger必須
Following count
hasCustomTimelinesboolean必須
Has custom timelines flag
isTranslatorboolean必須
Is translator flag
listedCountinteger必須
Listed count
mediaCountinteger必須
Media count
namestring必須
ユーザー表示名
normalFollowersCountinteger必須
Normal followers count
pinnedTweetIdsStrany[] | any
Pinned tweet IDs
プロパティを表示
Any of:
any[]
Array of any
any
any
any
possiblySensitiveboolean必須
Possibly sensitive flag
profileImageUrlHttpsstring必須
Profile image URL
usernamestring必須
Username
statusesCountinteger必須
Tweets count
translatorTypestring | any
Translator type
プロパティを表示
Any of:
string
string
any
any
verifiedboolean必須
Legacy verification status
verified_typestring | any
Verification badge type: blue, business, government, etc.
プロパティを表示
Any of:
string
string
any
any
withheldInCountriesany[] | any
Withheld in countries
プロパティを表示
Any of:
any[]
Array of any
any
any
any
protectedboolean必須
Protected account flag
urlstring | any
User profile URL
プロパティを表示
Any of:
string
string
any
any
descriptionUrlsany[] | any
Description URLs
プロパティを表示
Any of:
any[]
Array of any
any
any
any
urlsany[] | any
User URLs
プロパティを表示
Any of:
any[]
Array of any
any
any
any
pinnedTweetIdsany[] | any
Pinned tweet IDs
プロパティを表示
Any of:
any[]
Array of any
any
any
any
any
any
FriendshipTaskData
task_idstring必須
Task ID for polling status/next endpoints
reusedboolean必須
True if an in-flight task was reused
422パラメータバリデーションエラー
detailValidationError[]
プロパティを表示
Array of ValidationError
locstring | integer[]必須
プロパティを表示
Array of string | integer
Any of:
string
string
integer
integer
msgstring必須
レスポンスメッセージ(例: 'success')
typestring必須
inputany
ctxobject
インタラクティブテストGET
インタラクティブテスト / Try APIGET
Live Console
🌐対象サーバー:https://api.twexapi.io
● 本番環境レディ
🔍
公開データ取得(TwexAPIキーのみ、Twitter Cookie不要)

本エンドポイントは公開Twitterデータの検索・取得用です。TwitterアカウントやCookieは一切不要です!下記の「API認証」に TwexAPIプラットフォームキー (Bearer Token) を入力するだけで即座にテストできます。

🔑API 認証
⚙️リクエストパラメータ (2)
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

リクエスト例
curl -X GET "https://api.twexapi.io/twitter/following/elonmusk/200" \
  -H "Authorization: Bearer YOUR_TOKEN"
レスポンス例
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "userId": "string",
      "isBlueVerified": true,
      "createdAt": "string",
      "createdAtDatetime": "string",
      "defaultProfile": true,
      "defaultProfileImage": true,
      "description": "string",
      "location": "string",
      "fastFollowersCount": 0,
      "favouritesCount": 0,
      "followersCount": 0,
      "followingCount": 0,
      "hasCustomTimelines": true,
      "isTranslator": true,
      "listedCount": 0,
      "mediaCount": 0,
      "name": "string",
      "normalFollowersCount": 0,
      "pinnedTweetIdsStr": [
        null
      ],
      "possiblySensitive": true,
      "profileImageUrlHttps": "string",
      "username": "string",
      "statusesCount": 0,
      "translatorType": "string",
      "verified": true,
      "verified_type": "blue",
      "withheldInCountries": [
        null
      ],
      "protected": true,
      "url": "string",
      "descriptionUrls": [
        null
      ],
      "urls": [
        null
      ],
      "pinnedTweetIds": [
        null
      ]
    }
  ]
}